package com.loafle.overflow.commons.model;

import io.grpc.Context;
import io.grpc.Metadata;

import static io.grpc.Metadata.ASCII_STRING_MARSHALLER;

public class SessionMetadata {
    public static final Context.Key<String> CTX_SESSION_ID_KEY = Context.key("SESSION_ID");
    public static final Metadata.Key<String> METADATA_SESSION_ID_KEY = Metadata.Key.of("SESSION_ID", ASCII_STRING_MARSHALLER);

    public static String getSessionID() {
        return CTX_SESSION_ID_KEY.get();
    }
}
